<?php
$lang->mr->devopsEvents = array();

$lang->mr->devopsEvents['storylinked'] = new stdclass();
$lang->mr->devopsEvents['storylinked']->name  = '关联到合并请求';
$lang->mr->devopsEvents['storylinked']->title = '关联到合并请求';
$lang->mr->devopsEvents['storylinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['storylinked']->color = 'special';

$lang->mr->devopsEvents['storyunlinked'] = new stdclass();
$lang->mr->devopsEvents['storyunlinked']->name  = '取消关联合并请求';
$lang->mr->devopsEvents['storyunlinked']->title = '取消关联合并请求';
$lang->mr->devopsEvents['storyunlinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['storyunlinked']->color = 'special';

$lang->mr->devopsEvents['buglinked'] = new stdclass();
$lang->mr->devopsEvents['buglinked']->name  = '关联到合并请求';
$lang->mr->devopsEvents['buglinked']->title = '关联到合并请求';
$lang->mr->devopsEvents['buglinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['buglinked']->color = 'special';

$lang->mr->devopsEvents['bugunlinked'] = new stdclass();
$lang->mr->devopsEvents['bugunlinked']->name  = '取消关联合并请求';
$lang->mr->devopsEvents['bugunlinked']->title = '取消关联合并请求';
$lang->mr->devopsEvents['bugunlinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['bugunlinked']->color = 'special';

$lang->mr->devopsEvents['tasklinked'] = new stdclass();
$lang->mr->devopsEvents['tasklinked']->name  = '关联到合并请求';
$lang->mr->devopsEvents['tasklinked']->title = '关联到合并请求';
$lang->mr->devopsEvents['tasklinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['tasklinked']->color = 'special';

$lang->mr->devopsEvents['taskunlinked'] = new stdclass();
$lang->mr->devopsEvents['taskunlinked']->name  = '取消关联合并请求';
$lang->mr->devopsEvents['taskunlinked']->title = '取消关联合并请求';
$lang->mr->devopsEvents['taskunlinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['taskunlinked']->color = 'special';

$lang->mr->apiErrorMap[] = "Can't submit review to own pull requests.";
$lang->mr->apiErrorMap[] = 'Forbidden';
$lang->mr->apiErrorMap[] = "sudo user '0' is not found";
$lang->mr->apiErrorMap[] = '/sudo user .+ is not found/';

global $app;
if(empty($app->rawModule) || empty($lang->{$app->rawModule}->common)) $app->rawModule = 'mr';
$moduleName = $lang->{$app->rawModule}->common;
$lang->mr->errorLang[] = "不能评审自己的{$moduleName}";
$lang->mr->errorLang[] = "绑定的用户没有权限评审此{$moduleName}";
$lang->mr->errorLang[] = "请绑定GitFox用户后再评审";
$lang->mr->errorLang[] = "绑定的用户不正确";
